Support Center

What Android devices are supported for HD playback?

Last Updated: Nov 05, 2013 03:29PM PST

To watch movies in HD on your Android phones and tablets, you’ll need version 5.6 of the Flixster app and a minimum OS of 4.0 (Ice Cream Sandwich).

We are not able to support HD playback on Kindle Fire at this time.